Bug 835165 - kdump initramfs does not drop to shell
kdump initramfs does not drop to shell
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Young
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 13:50 EDT by Dave Jiang
Modified: 2012-06-27 13:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-27 13:19:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jiang 2012-06-25 13:50:36 EDT
Description of problem:
With kdump.conf configured with "default shell", the initramfs instead proceeds to do a dump, and then reboots. However, nothing is actually in the dump directory after reboot. 

Version-Release number of selected component (if applicable):
kexec-tools 2.0.3 released 27 January 2012

How reproducible:

Steps to Reproduce:
1. Put "default shell" in /etc/kdump.conf
2. systemctl start kdump.service
3. echo 'c' > /proc/sysrq-trigger
  
Actual results:
Manual crash happens, kernel kexec, boots into initramfs, starts dumping file, reboots after "success"

Expected results:
Manual crash happens, kernel kexec, boots into initramfs, drops into shell


Additional info:
Kernel 3.4.3-1.fc17.x86_64

snip of kdump initramfs log:
++ KDUMP_PATH=/var/crash                                                        
++ CORE_COLLECTOR='mak[    5.443622] EXT4-fs (dm-0): re-mounted. Opts: (null)   
edumpfile -d 31 -c'                                                             
++ DEFAULT_ACTION=dump_rootfs                                                   
+++ date +%d.%m.%y-%T                                                           
++ DATEDIR=25.06.12-17:44:23                                                    
++ DUMP_INSTRUCTION=                                                            
++ read_kdump_conf                                                              
++ local conf_file=/etc/kdump.conf                                              
++ '[' -f /etc/kdump.conf ']'                                                   
++ read config_opt config_val                                                   
++ case "$config_opt" in                                                        
++ read config_opt config_val                                                   
++ case "$config_opt" in                                                        
++ case $config_val in                                                          
++ DEFAULT_ACTION='sh -i -l'                                                    
++ read config_opt config_val                                                   
++ case "$config_opt" in                                                        
++ read config_opt config_val                                                   
++ '[' -n '' ']'                                                                
++ dump_rootfs                                                                  
++ mount -o remount,rw /sysroot/                                                
++ mkdir -p /sysroot//var/crash/25.06.12-17:44:23                               
++ makedumpfile -d 31 -c /proc/vmcore /sysroot//var/crash/25.06.12-17:44:23/vmco
re                                                                              
The kernel version is not supported.                                            
The created dumpfile may be incomplete.                                         
Copying data                       : [100 %]                                    
                                                                                
The dumpfile is saved to /sysroot//var/crash/25.06.12-17:44:23/vmcore.          
                                                                                
makedumpfile Completed.                                                         
++ sync                                                                         
++ reboot -f
Comment 1 Dave Jiang 2012-06-25 13:52:07 EDT
There's never anything in /var/crash/ later on.
Comment 2 Dave Young 2012-06-25 23:27:19 EDT
Hi,

Thanks for the report

"default shell" means when dump fails it will drop into a shell. In your case the dump successed, so it did not drop into shell, It's ok.

For why you did not see vmcore in /var/crash, this might related to abrt-addon-vmcore package.

abrt-addon-vmcore will automaticlly move the vmcore to shomewhere. Abrt maintainer said they will fix this. You can just simply remove the abrt-addon-vmcore rpm and have another try.

--
Thanks
Dave
Comment 3 Dave Jiang 2012-06-26 13:39:00 EDT
Yes so with the package removal I now find the dump in /var/crash. However, if I didn't specify where it should dump, shouldn't it not assume?

And according to the test case, the expected behavior is drop to shell no matter what.
http://fedoraproject.org/wiki/QA:Testcase_Kdump_Func_Shell
Comment 4 Dave Young 2012-06-26 22:35:55 EDT
(In reply to comment #3)
> Yes so with the package removal I now find the dump in /var/crash. However,
> if I didn't specify where it should dump, shouldn't it not assume?

Not sure if I understand your question, the default dump target is root filesystem; the default dump path is /var/crash.

> 
> And according to the test case, the expected behavior is drop to shell no
> matter what.
> http://fedoraproject.org/wiki/QA:Testcase_Kdump_Func_Shell

It's right. "core_collector makedumpfile --nosuchoptions" will fail so drop to shell is the expected behaviour.
Comment 5 Dave Jiang 2012-06-27 13:19:59 EDT
Ok I'll close the bug then. Thanks!

Note You need to log in before you can comment on or make changes to this bug.